#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long a,b,x,y;
    cin>>a>>b>>x>>y;
    if(x==a&&y==b){
        cout<<"nijedan";
    }
    if(x<a&&y==b){
        cout<<"prvi";
    }
    if(x==a&&y<b){
        cout<<"drugi";
    }
    if(x<a&&y<b){
        cout<<"?";
    }
    return 0;
}